# FAXPP_AttrValue_s Struct Reference

An item in a linked list of a FAXPP_Attribute object's value. More...

`#include <event.h>`

## Data Fields

FAXPP_EventType | type
| The type of the attribute value.
FAXPP_Text | name
| The name of the item in the attribute's value.
FAXPP_Text | value
| The value of the item in the attribute's value.
unsigned int | line
| The line the attribute value started on.
unsigned int | column
| The column the attribute value started on.
struct FAXPP_AttrValue_s * | next
| The next item in the attribute's value, or 0.
struct FAXPP_AttrValue_s * | dealloc_next
| Private - Do not use.

## Detailed Description

An item in a linked list of a FAXPP_Attribute object's value.

Examples:

  output_event.c.

Definition at line 46 of file event.h.

## Field Documentation

FAXPP_EventType FAXPP_AttrValue_s::type

The type of the attribute value.

Can be CHARACTERS_EVENT, ENTITY_REFERENCE_EVENT, DEC_CHAR_REFERENCE_EVENT, HEX_CHAR_REFERENCE_EVENT, ENTITY_REFERENCE_START_EVENT and ENTITY_REFERENCE_END_EVENT

Examples:
  output_event.c.

Definition at line 49 of file event.h.

FAXPP_Text FAXPP_AttrValue_s::name

The name of the item in the attribute's value.

Present for event types ENTITY_REFERENCE_EVENT, DEC_CHAR_REFERENCE_EVENT, HEX_CHAR_REFERENCE_EVENT and ENTITY_REFERENCE_START_EVENT

Examples:
  output_event.c.

Definition at line 52 of file event.h.

FAXPP_Text FAXPP_AttrValue_s::value

The value of the item in the attribute's value.

Present for all possible event types except ENTITY_REFERENCE_START_EVENT and ENTITY_REFERENCE_END_EVENT

Examples:
  output_event.c.

Definition at line 55 of file event.h.

unsigned int FAXPP_AttrValue_s::line

The line the attribute value started on.

Definition at line 57 of file event.h.

unsigned int FAXPP_AttrValue_s::column

The column the attribute value started on.

Definition at line 58 of file event.h.

struct FAXPP_AttrValue_s* FAXPP_AttrValue_s::next`[read]`

The next item in the attribute's value, or 0.

Examples:
  output_event.c.

Definition at line 60 of file event.h.

struct FAXPP_AttrValue_s* FAXPP_AttrValue_s::dealloc_next`[read]`

Private - Do not use.

Definition at line 63 of file event.h.

The documentation for this struct was generated from the following file:

- event.h